Bug 55418 - quota needs to include rquota.h now that glibc 2.2.4-19 is out
quota needs to include rquota.h now that glibc 2.2.4-19 is out
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: quota (Show other bugs)
7.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Copeland
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-10-30 17:28 EST by Ryan Cleary
Modified: 2007-04-18 12:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-12-11 23:20:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ryan Cleary 2001-10-30 17:28:29 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.5) Gecko/20011012

Description of problem:
Quota needs to include the rquota.h and rquota.x headers now that glibc no
longer has them (as of glibc 2.2.4-19).

The %files entry already exists in the quota-3.01pre9-0.7.1 specfile, it
just needs to be uncommented:

#%{_includedir}/rpcsvc/*

Quota should also probably require glibc >= 2.2.4-19 to eliminate any file
conflicts.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.  Install Red Hat Linux 7.1 with errata releases of glibc-2.2.4-19 and
quota-3.01pre9-0.7.1.
2.  Try to compile anything that requires rquota.h.


Additional info:
Comment 1 Bill Nottingham 2001-12-11 23:20:15 EST
This is fixed in the 7.2 package.

Note You need to log in before you can comment on or make changes to this bug.